Class for displaying output and setting http headers

package | miniMVC
subpackage | System

### Methods

## Allow calling of array methods on the object and dynamic methods

    __call(string $name, array $params) : mixed

Inherited

inherited_from | \MM::__call()

### Parameters

#### $name

`string`

#### $params

`array`

### Returns

`mixed`

## Initialize the output class

    __construct() : void

## PHP magic method called when ending the script Used for outputing HTML

    __destruct() : void

## append()

    append()

Inherited

inherited_from | ArrayObject::append()
inherited_from | \MM::append()

## Adds text to the output buffer

    append_output(string $string)

### Parameters

#### $string

`string`

## asort()

    asort()

Inherited

inherited_from | ArrayObject::asort()
inherited_from | \MM::asort()

## count()

    count()

Inherited

inherited_from | ArrayObject::count()
inherited_from | \MM::count()

## exchangeArray()

    exchangeArray()

Inherited

inherited_from | ArrayObject::exchangeArray()
inherited_from | \MM::exchangeArray()

## Sends headers and then removes them

    flush_headers()

## getArrayCopy()

    getArrayCopy()

Inherited

inherited_from | ArrayObject::getArrayCopy()
inherited_from | \MM::getArrayCopy()

## getFlags()

    getFlags()

Inherited

inherited_from | ArrayObject::getFlags()
inherited_from | \MM::getFlags()

## getIterator()

    getIterator()

Inherited

inherited_from | ArrayObject::getIterator()
inherited_from | \MM::getIterator()

## getIteratorClass()

    getIteratorClass()

Inherited

inherited_from | ArrayObject::getIteratorClass()
inherited_from | \MM::getIteratorClass()

## ksort()

    ksort()

Inherited

inherited_from | ArrayObject::ksort()
inherited_from | \MM::ksort()

## natcasesort()

    natcasesort()

Inherited

inherited_from | ArrayObject::natcasesort()
inherited_from | \MM::natcasesort()

## natsort()

    natsort()

Inherited

inherited_from | ArrayObject::natsort()
inherited_from | \MM::natsort()

## offsetExists()

    offsetExists()

Inherited

inherited_from | ArrayObject::offsetExists()
inherited_from | \MM::offsetExists()

## offsetGet()

    offsetGet()

Inherited

inherited_from | ArrayObject::offsetGet()
inherited_from | \MM::offsetGet()

## offsetSet()

    offsetSet()

Inherited

inherited_from | ArrayObject::offsetSet()
inherited_from | \MM::offsetSet()

## offsetUnset()

    offsetUnset()

Inherited

inherited_from | ArrayObject::offsetUnset()
inherited_from | \MM::offsetUnset()

## serialize()

    serialize()

Inherited

inherited_from | ArrayObject::serialize()
inherited_from | \MM::serialize()

## setFlags()

    setFlags()

Inherited

inherited_from | ArrayObject::setFlags()
inherited_from | \MM::setFlags()

## setIteratorClass()

    setIteratorClass()

Inherited

inherited_from | ArrayObject::setIteratorClass()
inherited_from | \MM::setIteratorClass()

## Sets a header for later output

    set_header(string $key, string $val)

### Parameters

#### $key

`string`

#### $val

`string`

## Sets the output buffer

    set_output(string $string)

### Parameters

#### $string

`string`

## uasort()

    uasort()

Inherited

inherited_from | ArrayObject::uasort()
inherited_from | \MM::uasort()

## uksort()

    uksort()

Inherited

inherited_from | ArrayObject::uksort()
inherited_from | \MM::uksort()

## unserialize()

    unserialize()

Inherited

inherited_from | ArrayObject::unserialize()
inherited_from | \MM::unserialize()

### Properties

## Content for outputting

    $buffer : string

## HTTP headers to send

    $headers : array